aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorEbben Aries <slackbuilds@dscp.org>2023-07-31 08:24:19 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-31 08:24:19 +0700
commitee2e8fa0898b43339a7dffa757b555fad11d45a2 (patch)
treee7cea5f6d5a294c677a8c086a02e7fc4d8f7af00 /system
parentcff330686ee5f8c5b77a731f1a8f2263082c77a2 (diff)
system/docker-compose: Added (Multi-container tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/docker-compose/README17
-rw-r--r--system/docker-compose/docker-compose.SlackBuild85
-rw-r--r--system/docker-compose/docker-compose.info10
-rw-r--r--system/docker-compose/doinst.sh8
-rw-r--r--system/docker-compose/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/system/docker-compose/README b/system/docker-compose/README
new file mode 100644
index 000000000000..11259004f96a
--- /dev/null
+++ b/system/docker-compose/README
@@ -0,0 +1,17 @@
+Docker Compose v2 (Utility for running containers on Docker)
+
+Docker Compose is a tool for running multi-container applications on
+Docker defined using the Compose file format. A Compose file is used to
+define how one or more containers that make up your application are
+configured. Once you have a Compose file, you can create and start your
+application with a single command: docker compose up.
+
+Docker Compose V2 is a major version bump release of Docker Compose. It
+has been completely rewritten from scratch in Golang (V1 was in Python).
+The installation instructions for Compose V2 differ from V1. V2 is not a
+standalone binary anymore, and installation scripts will have to be
+adjusted. Some commands are different.
+
+Warning: This SlackBuild requires network access when it runs, meaning
+it downloads files from the Internet with root access. You should
+decide for yourself whether or not you think this is a good idea.
diff --git a/system/docker-compose/docker-compose.SlackBuild b/system/docker-compose/docker-compose.SlackBuild
new file mode 100644
index 000000000000..cd4e0c5a6953
--- /dev/null
+++ b/system/docker-compose/docker-compose.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# Slackware build script for docker-compose
+
+# Copyright 2023 Ebben Aries <slackbuilds@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=docker-compose
+VERSION=${VERSION:-2.20.2}
+GITHASH=${GITHASH:-e28b223}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=compose
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+GO111MODULE=auto \
+DISABLE_WARN_OUTSIDE_CONTAINER=1 \
+make \
+ GITCOMMIT=$GITHASH \
+ VERSION=$VERSION
+
+install -D -m 0755 bin/build/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUILDING.md LICENSE MAINTAINERS NOTICE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/docker-compose/docker-compose.info b/system/docker-compose/docker-compose.info
new file mode 100644
index 000000000000..d22e142e9da6
--- /dev/null
+++ b/system/docker-compose/docker-compose.info
@@ -0,0 +1,10 @@
+PRGNAM="docker-compose"
+VERSION="2.20.2"
+HOMEPAGE="https://docs.docker.com/compose/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/docker/compose/archive/v2.20.2/docker-compose-2.20.2.tar.gz"
+MD5SUM_x86_64="955c4d4a1f973ad93d4d23e3438cf850"
+REQUIRES="docker-cli"
+MAINTAINER="Ebben Aries"
+EMAIL="slackbuilds@dscp.org"
diff --git a/system/docker-compose/doinst.sh b/system/docker-compose/doinst.sh
new file mode 100644
index 000000000000..93f283a07253
--- /dev/null
+++ b/system/docker-compose/doinst.sh
@@ -0,0 +1,8 @@
+# Install docker-compose to docker-cli global plugin directory
+PLUGIN_DIR="/usr/libexec/docker/cli-plugins"
+
+if [ ! -d "$PLUGIN_DIR" ]; then
+ mkdir -p $PLUGIN_DIR
+fi
+
+ln -s /usr/bin/docker-compose $PLUGIN_DIR/docker-compose
diff --git a/system/docker-compose/slack-desc b/system/docker-compose/slack-desc
new file mode 100644
index 000000000000..82c2b7d29719
--- /dev/null
+++ b/system/docker-compose/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+docker-compose: docker-compose (Utility for running containers on Docker)
+docker-compose:
+docker-compose: Docker Compose is a tool for running multi-container
+docker-compose: applications on Docker defined using the Compose file format. A
+docker-compose: Compose file is used to define how one or more containers that make
+docker-compose: up your application are configured. Once you have a Compose file, you
+docker-compose: can create and start your application with a single command: docker
+docker-compose: compose up.
+docker-compose:
+docker-compose: Homepage: https://docs.docker.com/compose/
+docker-compose: